package net.robertboehm.ld22;

import org.newdawn.slick.Sound;

public class Player extends Character {
	
	private Sound jump;

	public Player(IEnvironment collisionEnvironment) {
		super(GameAssets.getPlayerCharset(), collisionEnvironment);
		
		try {
			jump = new Sound(this.getClass().getResource("/assets/jump.ogg"));
		} catch (Exception e) {}
	}
	
	public void jump() {
		if(jump != null) {
			jump.play((float)Math.random() * 0.5f + 0.75f, AreYouStillThere.volume / 4);
		}
	}

}
